CTRLALTDEL(8)

NAZWA
ctrlaltdel - ustawia działanie kombinacji Ctrl-Alt-Del

SKŁADNIA

ctrlaltdel hard|soft

OPIS

W oparciu o sprawdzenie kodu linux/kernel/reboot.c jest jasne, że są dwie obsługiwane funkcje które może wykonać sekwencja <Ctrl-Alt-Del>.

hard
    Natychmiast uruchamia komputer ponownie bez wywołania sync(2) i bez jakichkolwiek innych przygotowań. Jest to zachowanie domyślne.

soft
    Jądro wysyła procesowi init (jest to zawsze proces z PID 1) sygnał SIGINT (przerwania). Jeśli użyta jest ta opcja, program init(8) musi obsługiwać tę właściwość. Ponieważ w chwili obecnej istnieje w środowisku linuksowym kilka programów init(8), konieczne jest sprawdzenie tego w dokumentacji swojej wersji.

Gdy polecenie jest uruchomione bez żadnych argumentów, wyświetli aktualne ustawienie.

Działanie ctrlaltdel jest zazwyczaj ustawione w pliku /etc/rc.local.

OPCJE

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

-h, --help
    Wyświetla ten tekst i kończy pracę.

PLIKI

/etc/rc.local

AUTORZY

ZOBACZ TAKŻE

init(8), systemd(1)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The ctrlaltdel command is part of the util-linux package which can be downloaded from

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.